<?xml version="1.0" encoding="GB2312"?>
<SubPipelineSet>
<SubPipeline Name="NormalPreview">
    <PadDescription  PadName="In0"   InnerNodeName="Node0"  InnerNodePadName="In0" />
    <PadDescription  PadName="Out0"  InnerNodeName="Node0"  InnerNodePadName="Out0" />
    <Node Name="Node0"  Type="Plugin"     AlgoName="ObjectDetectionDraw" >   <Connect  PadName=""      PeerNodeName=""        PeerPadName="" />  </Node>
</SubPipeline>

<SubPipeline Name="Tof">
    <PadDescription  PadName="In0"   InnerNodeName="Node0"   InnerNodePadName="In0" />
    <PadDescription  PadName="Out0"  InnerNodeName="Node3"   InnerNodePadName="Out0" />
    <Node Name="Node0"  Type="Plugin"  AlgoName="ITOFCollector"> <Connect  PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /> </Node>
    <Node Name="Node1"  Type="Plugin"  AlgoName="ITOFAE"><Connect          PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /> </Node>
    <Node Name="Node2"  Type="Plugin"  AlgoName="ITOFStrategy"> <Connect   PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0" /> </Node>
    <Node Name="Node3"  Type="Plugin"  AlgoName="ITOFDepthCalc"> <Connect  PadName="In0"   PeerNodeName="Node2"   PeerPadName="Out0" /> </Node>
</SubPipeline>

<SubPipeline Name="NormalTiny">
    <PadDescription  PadName="In0"   InnerNodeName="Node0"   InnerNodePadName="In0" />
    <PadDescription  PadName="Out0"  InnerNodeName="Node10"   InnerNodePadName="Out0" />
    <Node Name="Node0"   Type="Plugin"     AlgoName="Counter">              <Connect  PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /> </Node>
    <Node Name="Node1"   Type="Plugin"     AlgoName="SmartAE">              <Connect  PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /> </Node>
    <Node Name="Node2"   Type="Plugin"     AlgoName="Misc">                 <Connect  PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0" /> </Node>
    <Node Name="Node3"   Type="Plugin"     AlgoName="SatIppAlgo">           <Connect  PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0" /> </Node>
    <Node Name="Node4"   Type="Plugin"     AlgoName="CVEngine">             <Connect  PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0" /> </Node>
    <Node Name="Node5"   Type="Plugin"     AlgoName="SceneDetection">       <Connect  PadName="Out0"  PeerNodeName="Node6"   PeerPadName="In0" /> </Node>
    <Node Name="Node6"   Type="Plugin"     AlgoName="ModeRecommendation">   <Connect  PadName="Out0"  PeerNodeName="Node7"   PeerPadName="In0" /> </Node>
    <Node Name="Node7"  Type="Plugin"      AlgoName="IspEnhncAlgo" >        <Connect  PadName="Out0"  PeerNodeName="Node8"   PeerPadName="In0" /> </Node>
    <Node Name="Node8"  Type="Plugin"      AlgoName="MotionDetectionAlgo" > <Connect  PadName="Out0"  PeerNodeName="Node9"   PeerPadName="In0" /> </Node>
    <Node Name="Node9" Type="Plugin"     AlgoName="VariableAperture" >     <Connect  PadName="Out0"  PeerNodeName="Node10"  PeerPadName="In0" /> </Node>
    <Node Name="Node10" Type="Plugin"     AlgoName="StreamSeamlessIpp">     <Connect  PadName="Out0"  PeerNodeName="Node11"  PeerPadName="In0" /> </Node>
    <!-- <Node Name="Node9"  Type="Plugin"      AlgoName="ROISelector" >          <Connect  PadName="Out0"  PeerNodeName="Node10"  PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node3"   Type="Plugin"     AlgoName="FaceGather">           <Connect  PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node4"   Type="Plugin"     AlgoName="SceneDetection">       <Connect  PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node6"   Type="Plugin"     AlgoName="ObjectDetection">      <Connect  PadName="Out0"  PeerNodeName="Node7"   PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node9"  Type="Plugin"      AlgoName="HiTracking" >          <Connect  PadName="Out0"  PeerNodeName="Node10"  PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node1"   Type="Plugin"     AlgoName="HwaDMapIpp" >           <Connect  PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node4"   Type="Plugin"     AlgoName="MultiScale" >           <Connect  PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node5"   Type="Plugin"     AlgoName="IppAlgoDM" >            <Connect  PadName="Out0"  PeerNodeName="Node6"   PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node7"   Type="Plugin"     AlgoName="HwFaceAttr" >           <Connect  PadName="Out0"  PeerNodeName="Node8"   PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node8"   Type="Plugin"     AlgoName="OisMgr" >               <Connect  PadName="Out0"  PeerNodeName="Node9"  PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node9"  Type="Plugin"      AlgoName="SensorHdrIpp" >         <Connect  PadName="Out0"  PeerNodeName="Node11"  PeerPadName="In0" /> </Node> -->
    <!--Node Name="Node10"  Type="Plugin"     AlgoName="CIEProxy" >             <Connect  PadName="Out0"  PeerNodeName="Node11"  PeerPadName="In0" /> </Node-->
    <!-- <Node Name="Node11"  Type="Plugin"     AlgoName="IspEnhncAlgo" >         <Connect  PadName="Out0"  PeerNodeName="Node12"  PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node12"  Type="Plugin"     AlgoName="MotionDetectionAlgo" >  <Connect  PadName="Out0"  PeerNodeName="Node14"  PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node14"  Type="Plugin"     AlgoName="TouchObjectDetection" > <Connect  PadName="Out0"  PeerNodeName="Node16"  PeerPadName="In0" /> </Node> -->
    <!--Node Name="Node15"  Type="Plugin"     AlgoName="SuperCamModeRecom" >    <Connect  PadName="Out0"  PeerNodeName="Node16"  PeerPadName="In0" /> </Node-->
    <!-- <Node Name="Node16"  Type="Plugin"     AlgoName="VideoSeamlessIpp" >     <Connect  PadName="Out0"  PeerNodeName="Node17"  PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node17"  Type="Plugin"     AlgoName="AIQIppAlgo" >           <Connect  PadName="Out0"  PeerNodeName="Node18"  PeerPadName="In0" /> </Node> -->
    <!--<Node Name="Node10"  Type="Plugin"     AlgoName="AssistAF" >             <Connect  PadName="Out0"  PeerNodeName="Node11"  PeerPadName="In0" /> </Node>
    <Node Name="Node18"  Type="Plugin"     AlgoName="BlurDetection" > <Connect  PadName="Out0"  PeerNodeName="Node19"  PeerPadName="In0" /> </Node>-->
</SubPipeline>
<SubPipeline Name="NormalVideoTiny">
    <PadDescription  PadName="In0"   InnerNodeName="Node0"   InnerNodePadName="In0" />
    <PadDescription  PadName="Out0"  InnerNodeName="Node6"   InnerNodePadName="Out0" />
    <Node Name="Node0"   Type="Plugin"     AlgoName="Misc">                 <Connect  PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /> </Node>
    <Node Name="Node1"   Type="Plugin"     AlgoName="SatIppAlgo">           <Connect  PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /> </Node>
    <Node Name="Node2"   Type="Plugin"     AlgoName="CVEngine">           <Connect  PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0" /> </Node>
    <Node Name="Node3"  Type="Plugin"      AlgoName="IspEnhncAlgo" >        <Connect  PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0" /> </Node>
    <Node Name="Node4"  Type="Plugin"      AlgoName="MotionDetectionAlgo" > <Connect  PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0" /> </Node>
    <Node Name="Node5"  Type="Plugin"      AlgoName="VariableAperture" >    <Connect  PadName="Out0"  PeerNodeName="Node6"   PeerPadName="In0" /> </Node>
    <Node Name="Node6"  Type="Plugin"      AlgoName="StreamSeamlessIpp">    <Connect  PadName="Out0"  PeerNodeName="Node7"   PeerPadName="In0" /> </Node>
    <!-- <Node Name="Node7"  Type="Plugin"      AlgoName="ROISelector">          <Connect  PadName="Out0"  PeerNodeName="Node8"   PeerPadName="In0" /> </Node> -->
    <!-- <Node Name="Node2"   Type="Plugin"     AlgoName="FaceGather">           <Connect  PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0" /> </Node> -->
</SubPipeline>
</SubPipelineSet>
